Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046515
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-05-05 14:492021-05-10 15:31
ReporterjmelinView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046515: JIRA 1834 - Credit note can be applied when already used

DescriptionIt is possible to apply a credit note already used.

In this case, this is not the amount of the credit note that is applied but the rest to pay of the sales order.

 
Steps To ReproduceFor more informations, follow the guide gift cards module for POS2 User Guide
https://docs.google.com/document/d/1fl1MLX7UVexVNazL_B6sCju2a93bOBXkeR9ZvNI8ifY/edit# [^]
 

On livebuild:

In BO :

connect with Openbravo user and role “White valley group admin”

create payment provider for ‘Credit note’

create payment method ‘credit note’

create financial account ‘credit note’ and add payment method ‘credit note’

add payment method ‘credit note’ to the touchpoint type of the POS VBS-2 and link payment provider ‘credit note’

look for “voucher” payment method in the same touchpoint type, and check “Return overpayment on credit note”

add payment type ‘credit note’ to the POS VBS-2 link to payment method ‘credit note’

in “Organization”, set credit notes expiration to 30 days and check “Credit note used only once”

 

On POS:

Connect to VBS-2 using vallblanca user

Create an order and pay by voucher with an amount > to the rest to pay (ex: 20€ if have to pay 5€).

- check in BO that a gift card has been created and note the key of the gift card -

Create an order and pay using the previous credit note (and using payment if necessary) → the credit note must be as ‘used’

Create an order again, pay using the same credit note and apply (the credit note is shown as used)

=> it creates a payment of the rest to pay of type ‘credit note’
TagsTakeaway
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046524TAP closedSandrahuguet JIRA 1834 - Credit note can be applied when already used 

-  Notes
(0127853)
hgbot (developer)
2021-05-06 11:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/55 [^]
(0127926)
hgbot (developer)
2021-05-10 08:23

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: 384e29e6bfe8300f2412b10f3e753ef647a4678a
Author: Sandra Huguet <sandra.huguet@openbravo.com>
Date: 2021-05-06T15:36:04+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/384e29e6bfe8300f2412b10f3e753ef647a4678a [^]

Fixed ISSUE-46515 Credit note can be applied when already used

---
M web-jspack/org.openbravo.retail.giftcards/src/components/GiftCardDialog/GiftCardDialogFormHandler.js
---
(0127927)
hgbot (developer)
2021-05-10 08:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/55 [^]
(0127953)
guilleaer (manager)
2021-05-10 15:31

MR
https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/55 [^]

approved my mtaal

- Issue History
Date Modified Username Field Change
2021-05-05 14:49 jmelin New Issue
2021-05-05 14:49 jmelin Assigned To => Retail
2021-05-05 14:49 jmelin Triggers an Emergency Pack => No
2021-05-05 14:50 jmelin Tag Attached: Takeaway
2021-05-05 17:28 guilleaer Status new => scheduled
2021-05-05 17:28 guilleaer Status scheduled => acknowledged
2021-05-05 17:29 guilleaer Steps to Reproduce Updated View Revisions
2021-05-06 11:25 hgbot Note Added: 0127853
2021-05-06 11:26 Sandrahuguet Assigned To Retail => Sandrahuguet
2021-05-06 11:26 Sandrahuguet Status acknowledged => scheduled
2021-05-10 08:23 hgbot Resolution open => fixed
2021-05-10 08:23 hgbot Status scheduled => resolved
2021-05-10 08:23 hgbot Note Added: 0127926
2021-05-10 08:23 hgbot Note Added: 0127927
2021-05-10 15:31 guilleaer Review Assigned To => mtaal
2021-05-10 15:31 guilleaer Note Added: 0127953
2021-05-10 15:31 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker